Bug 15008

Summary: [PATCH]setSheetName(int, String, short) doesn't set name in DBCS
Product: POI Reporter: achen
Component: HSSFAssignee: POI Developers List <dev>
Status: RESOLVED WONTFIX    
Severity: normal    
Priority: P3    
Version: unspecified   
Target Milestone: ---   
Hardware: PC   
OS: All   
Attachments: [PATCH] BoundSheetRecord modified to support sheetname in DBCS

Description achen 2002-12-02 22:58:19 UTC
I used the method setSheetName(sheetNum,sheetName,HSSFWorkbook.ENCODING_UTF_16) 
from the class HSSFWorkbook to set a sheet name in Japanese. But when I opened 
the file, the sheet name showed gabbled string. The POI version I used is 1.8 
dev 9/19/02.
Comment 1 achen 2002-12-02 23:03:30 UTC
Created attachment 4009 [details]
[PATCH] BoundSheetRecord modified to support sheetname in DBCS
Comment 2 achen 2002-12-02 23:08:10 UTC
I just submitted a patch for the class BoundSheetRecord.java. Since I'm very 
new to CVS, the diff file was created using my local(downloaded) POI source 
against my changes. The diff text showed incorrect POI source version as 
1.1.1.1. It should be 1.8 dev 09/19/02. The changes I made was tested working 
in a Japanese NT.
Comment 3 Andy Oliver 2003-07-24 13:57:02 UTC
Damn I wish [PATCH] had been in front, I am almost certain someone would have
applied this.  Though it would be REAL nice if there were a TestCase for it.
Comment 4 Glen Stampoultzis 2004-08-04 00:22:26 UTC
This code has completely changed now.  I believe the original issue is fixed so
I'm resolving this bug.